POST
Make unspent reservation
Mark the unspents as reserved and cannot be used in transactions until the given expire time.
Path Params
-
walletIdstring requiredThe wallet ID.
Body Params
object
-
unspentIdsarray of strings required -
expireTimestring requiredTime when reservation expires. Usedate-timeformat or 'never'. If 'never', reservation doesn't expire. -
typestring enumType of reservation to make on the unspent.ordinalinscription -
inscriptionIdsarray of strings
Responses
200
OK
Response Body
object
-
unspentsarray of objectsunspents object
-
idstring requiredThe id of the unspent in the form:<tx_index> -
walletIdstring required -
expireTimestring date-time required -
userIdstring required
-
400
Bad Request
Response Body
object
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id -
contextobjectProperties that apply to a specific error name -
namestring requiredError code